package com.energy.manage.service.service.system;


import com.alibaba.fastjson.JSONObject;
import com.energy.manage.common.base.BaseService;
import com.energy.manage.common.base.Page;
import com.energy.manage.common.po.system.SysRolePO;
import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.domain.dto.system.RoleUpdateStateDto;

public interface SysRoleService extends BaseService<SysRolePO> {

    SysRolePO selectOne(SysRolePO rolePO);

    boolean addRole(SysRolePO rolePO);

    ResultResp deleteRole(SysRolePO rolePO);

    boolean updateRoleAvailable(RoleUpdateStateDto updateStateDto);

    boolean updateRole(SysRolePO rolePO);

    Page<SysRolePO> getRoleListByName(Integer pageNum, Integer pageSize, String roleName,Integer roleAvailable);

    SysRolePO getSysRole(Integer userId);
}
